/**
 * Maven and Sonar plugin for .Net
 * Copyright (C) 2010 Jose Chillan and Alexandre Victoor
 * mailto: jose.chillan@codehaus.org or alexvictoor@codehaus.org
 *
 * Sonar is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * Sonar is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with Sonar; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02
 */

package net.sourceforge.pmd.cpd;

import java.io.File;
import java.io.FilenameFilter;

import org.apache.maven.dotnet.commons.GeneratedCodeFilter;

/**
 * File name filter used to filter generated source files.
 * accept() returns true when a file has not been generated by VisualStudio
 *  
 * @author Alexandre Victoor
 *
 */
public class CsFilenameFilter implements FilenameFilter {

	@Override
	public boolean accept(File dir, String name) {
		boolean result = new File(dir, name).isDirectory() || 
			(name.toLowerCase().endsWith(".cs") 
			&& !GeneratedCodeFilter.INSTANCE.isGenerated(name));
		return result;
	}

}
